<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 *
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Файл: /main_classes.php
 *
 * @author Hostmake LLC
 * @version 5.x
 * @access private
 */

define('CMS_FOLDER', dirname(__FILE__) . '/');

// ini_set("memory_limit", "32M");
// ini_set("max_execution_time", "120");

/**
* Если выдается сообщение «Ошибка соединения с БД», проверьте содержание и наличие config_db.php
*/

/* Константа запрещает выполнение ini_set, по умолчанию false - разрешено */
define('DENY_INI_SET', false);

/* Запрещаем установку локали, указанной в параметрах сайта */
// define('ALLOW_SET_LOCALE', false);

setlocale (LC_NUMERIC, "POSIX");

if (!defined('DENY_INI_SET') || (defined('DENY_INI_SET') && !DENY_INI_SET))
{
	/* Включаем вывод ошибок вместе с результатом работы скрипта */
	ini_set('display_errors', 1);
	set_magic_quotes_runtime(0);
	ini_set('magic_quotes_gpc', 0);
	ini_set('magic_quotes_sybase', 0);
	ini_set("register_globals", 0);
}

/* Решение проблемы trict Standards: Implicit cloning object of class 'kernel' because of 'zend.ze1_compatibility_mode' */
if (PHP_VERSION > 5 && !defined('DENY_INI_SET') || (defined('DENY_INI_SET') && !DENY_INI_SET))
{
	ini_set('zend.ze1_compatibility_mode', 0);
}

if (PHP_VERSION > 5 && function_exists('date_default_timezone_set'))
{
	date_default_timezone_set(date_default_timezone_get());
}

// Подключаем файл конфигурации, если он есть
$config_path = CMS_FOLDER . 'hostcmsfiles/config_db.php';

if (is_file($config_path))
{
	require_once($config_path);
}

// Константа, определяющая возможность внесения изменений на сайт из раздела администрирования
//define ('READ_ONLY', true);

require_once(CMS_FOLDER . "modules/Kernel/Kernel.php");

// Fix bug "The SELECT would examine more than MAX_JOIN_SIZE rows"
// mysql_query ("SET SQL_BIG_SELECTS = 1");

// Fix bug "Incorrect integer value: '' for column '' at row"
// mysql_query ("SET sql_mode = ''");

/* Устанавливаем локаль для Windows машин */
// setlocale(LC_ALL, array ('ru_RU.utf-8', 'rus_RUS.utf8'));

// Метод удаляет добавленные слэши при magic_quotes_gpc = on и невозможности отключить через директивы php_flag *
$kernel = & singleton('kernel');
$kernel->strips();

//$kernel->available_extantions = array ('JPG','JPEG','GIF','PNG', 'PDF');

/* Установка внутренней кодировки в UTF-8 */
if (function_exists('mb_internal_encoding'))
{
	mb_internal_encoding("UTF-8");
}

$GLOBALS['gAdminSubMenu'][0]['name']['ru'] = 'Структура сайта';
$GLOBALS['gAdminSubMenu'][0]['name']['en'] = 'Site structure';
$GLOBALS['gAdminSubMenu'][0]['image'] = '/admin/images/structure.gif';

$GLOBALS['gAdminSubMenu'][1]['name']['ru'] = 'Сервисы';
$GLOBALS['gAdminSubMenu'][1]['name']['en'] = 'Services';
$GLOBALS['gAdminSubMenu'][1]['image'] = '/admin/images/service.gif';

$GLOBALS['gAdminSubMenu'][2]['name']['ru'] = 'Пользователи';
$GLOBALS['gAdminSubMenu'][2]['name']['en'] = 'Users';
$GLOBALS['gAdminSubMenu'][2]['image'] = '/admin/images/users.gif';

$GLOBALS['gAdminSubMenu'][3]['name']['ru'] = 'Системные функции';
$GLOBALS['gAdminSubMenu'][3]['name']['en'] = 'Administration';
$GLOBALS['gAdminSubMenu'][3]['image'] = '/admin/images/system.gif';

?>